---
title: Systems for collaboration
date: 2016-10-04T17:55:42.189Z
layout: post
path: /systems-for-collaboration/
next: /better-async-redux-i18n-and-node-js-versions/
previous: /breaking-the-node-js-event-loop/
tags:
  - ideas
  - agile
  - business
---

A good workplace is a welcoming space for everyone, encourages open collaboration, and enables everyone to do their best work. Let's talk about some of the techniques for collaboration I've learned in the last few years...

<div class='fold'></div>

## Startup Weekend

I participated in my first [Startup Weekend](https://startupweekend.org/) in [June 2011](https://www.twilio.com/blog/2011/06/seattle-startup-weekend-recap.html), [winning 'Most Disruptive' with my team ShakeUp Call](https://www.youtube.com/watch?v=L-ogWe5P3Wc). It was exciting, fun, and very educational. In 2012 I organized [Startup Weekend Redmond](http://www.up.co/communities/usa/redmond/startup-weekend/393), mentored at Seattle-area events, and even facilitated an event in Lima, Peru.

It's amazing what teams can accomplish in just one weekend. I learned what can really happen when you combine talent and passion with lack of constraints. It's a challenge to get from a 60-second pitch on Friday to a business model, prototype, and presentation to tie it all together, but the only thing stopping teams is the team itself!

Two standard pieces of Startup Weekend advice stuck with me: _Bias towards action_ and _Get out of the building_. Both attempt to break through the paralysis that can so frequently bog a team down. The first suggests that when a team is wasting time arguing about next steps, it's a good idea to go do something productive instead, right now. The second recommends that that something is to talk to customers! No new information can be found sitting in a conference room!

## Lean Coffee

I checked out [Seattle Lean Coffee](http://seattle.leancoffee.org/) after leaving Microsoft, knowing that it was interested in the same team process stuff I was. I quickly realized that the other attendees were mostly 'Agile coach' consultants, not really a peer group for me. But I did learn about a new system for structuring a potentially chaotic freeform conversation.

[Lean Coffee](http://leancoffee.org/) is more than the name for the meetup - it's a process itself:

1. At the beginning of the meeting, each attendee brainstorms the topics they'd like to discuss, then writes each one on a [sticky note](https://www.google.com/search?q=sticky+notes&espv=2&biw=1658&bih=962&tbm=isch&tbo=u&source=univ&sa=X&ved=0ahUKEwiR6tPuxpLPAhWHMGMKHWI1AcUQ7AkIiwE).
2. When everyone is done or time is up, each topic gets a 1-2 sentence introduction to make up for poor handwriting or cryptic phrasing.
3. Everyone takes a pen and allocates their two votes by putting dots on the topics they'd like to discuss.
4. All topic are prioritized based on dot count.
5. Each topic is discussed, one at a time, until the meeting time is up.

I had seen this kind of sticky note use during retrospectives at Microsoft, so it wasn't totally foreign. But it has definitely helped in other structure-free contexts.

## Innovation Lab

Our primary client at [LIFFFT](http://www.liffft.com/) in 2012 was the [Nordstrom Innovation Lab](http://www.startuplessonslearned.com/2011/10/case-study-nordstrom-innovation-lab.html). Its culture was extremely foreign, but I could slowly start to see the internal logic. I later found out that much of the process came from a book called _[Software for your Head](http://www.amazon.com/Software-Your-Head-Protocols-Maintaining/dp/0201604566)_.

Every day, when the day started, we stood in a circle together. One by one, around the circle, each person would mention one of four emotions (glad, sad, mad, afraid) that best described their current state, then verbally commit to the day with an "I'm in!" It was a way to build self-awareness and encourage others to tune their interactions to the recipients' mindset. And that "I'm in!" reminded everyone that no matter how they arrived that day, they were committing to a full workday with the group.

After that, the group broke into 2-3 'studios,' each addressing a different research area. The idea of sprints and backlogs were nothing new as I was leaving Microsoft, but this was something different. We had no multiweek backlog, and no sprint plan. Our public, wall-mounted task board only had a few columns: _To do_, _Doing_, and _Done_. The only rule was a 'work in progress limit' ([WIP limit](http://searchsoftwarequality.techtarget.com/definition/WIP-limit)) on the _Doing_ column. This is [Kanban](https://en.wikipedia.org/wiki/Kanban), a far-simpler technique for managing a team's workload. It was quite eye-opening after seeing only occasional uses of [high-process Agile](/the-why-of-agile/) within the Visual Studio [waterfall](https://en.wikipedia.org/wiki/Waterfall_model) at Microsoft.

The Innovation Lab technique that stuck with me most was the _Decider Protocol_ from _Software for your Head_. It's a quick way to break through a chaotic discussion and figure out where a team stands on a given decision, and potentially get to resolution quickly:

1. A team member suggests a concise, crisp plan with the formal introductory phrase "I propose…" then counts 1, 2, 3.
2. On three, everyone puts a _thumbs up_, _sideways_, or _down_ into the center of the group. _Thumbs up_ is full support, _down_ is lack of support. The definition for _Thumbs sideways_ is important: it signals both ambivalence and full support of and participation in the plan if it were to go forward.
3. Depending on your team culture, the proposal might carry with a small minority of _thumbs down_ votes. At the innovation lab, no _down_ votes were allowed: each would voice their objection, and sometimes discussion would resolve the resolution, other times a new proposal would be required.

I like the _Decider Protocol_ because it gets a group talking about real blocking issues, very quickly. Even with a great principle like _Bias toward action_ in place, choosing the specific action can be tough.

## Liberating structures

In early 2013, LIFFFT and the Innovation Lab kicked their collaboration options into high gear when we all attended a [Liberating Structures](http://www.liberatingstructures.com/) workshop by Keith McCandless and Henri Lipmanowicz, creators of the system. We learned about a large set of _structures_, each designed to help groups solve problems, make plans, and better understand each other.

One that I use regularly is called [Conversation Cafe](http://www.liberatingstructures.com/17-conversation-cafe/). Like Lean Coffee, it is useful for a chaotic freeform conversation. Instead of using sticky notes, it uses a timer: everyone gets a chance to speak for a prescribed amount of time (often 1 minute), in two separate trips around the circle. After the second time around, it's back to freeform discussion. The key is that the quiet people get the floor for a while, and the talkative people are limited. Like the rest of the _structures_, Conversation Cafe acknowledges and plans for a variety of personality types.

I also really liked [Ecocycle](http://www.liberatingstructures.com/31-ecocycle-planning/) for its reminder that everything has a beginning and an end. And [Troika Consulting](http://www.liberatingstructures.com/8-troika-consulting/) was interesting because it really seemed to break through normal social barriers, leading to good solutions.

I encourage you to take a trip through the _[structures](http://www.liberatingstructures.com/ls-menu/)_ yourself, play with them, maybe even [attend a workshop](http://www.liberatingstructures.com/news-and-events). If you're at all involved in coordinating or moderating groups of people, these are extremely useful tools. You can use them for anything from your next meeting to a multi-day strategy offsite!

## A box for creativity

_Thinking outside the box_ is frequently used as a synonym for creativity. But I've come to believe that [limitations, the box itself, can stimulate creativity](http://www.spencerauthor.com/2015/09/the-creative-power-of-limitations.html/). The key is to figure out what limitations will stimulate and which will stifle, [customizing for your team and situation](/customizing-agile/).

I've previously written about my [personal journey](/introversion/) [towards dealing better with people](/from-tech-person-to-people-person/), and the [need to keep meetings on track at Microsoft](/12-things-i-learned-from-microsoft/#3-how-to-run-good-meetings). Since my Microsoft days it has become clear to me that a project lead shouldn't be focused on preventing bad behaviors or maintaining control.

On the other side of the coin, any process at all is considered a bad thing by many in the tech space. But there's a middle ground. Process has so much potential for good. It can [strip away distraction](http://www.agileweboperations.com/kanban-wip-limits-the-fine-art-of-focus), and [focus energy where it is needed](https://en.wikipedia.org/wiki/Business_Model_Canvas).

Explore and experiment. [Your team will appreciate it](/carrots-not-sticks/).

And of course, let me know if I've missed a key system you find useful!


